create or replace view account_statement_v as
    select ae.id as id,
        ae.description as description,
        ae.created_at::timestamp::date as created_at,
        ae.amount as amount,
        ae.document_no as document_no,
        ae.fiscal_year as fiscal_year,
        aec.description as category,
        aec.income as income,
        ac.description as account
    from account_entry_t ae,
        account_entry_category_t aec,
        account_t ac
    where ae.account_entry_category = aec.id and
            ae.account = ac.id and
            aec.id not in (3, 4)
    order by created_at;
